Replace runtime config
const url = 'https://example.com/api/v1/org/example/ws/example/runtimes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"config":{"build":{"profile":"default","provider":"auto","source":{"kind":"builtin","ref":"runtime"}},"capabilities":[{"enabled":true,"name":"example","version":"example"}],"defaults":{"agent":"example","capability":"example","model":"example","system_prompt":"example"},"metadata":{"labels":{"additionalProperty":"example"}},"resources":{"cpu_cores":2,"memory_mb":2048},"runtime_server":{"env":{"additionalProperty":"example"}},"sandbox":{"exposed_ports":[1],"timeout_seconds":1,"workspace_mount":true},"secrets":{"secret_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]},"version":"v2"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/org/example/ws/example/runtimes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "config": { "build": { "profile": "default", "provider": "auto", "source": { "kind": "builtin", "ref": "runtime" } }, "capabilities": [ { "enabled": true, "name": "example", "version": "example" } ], "defaults": { "agent": "example", "capability": "example", "model": "example", "system_prompt": "example" }, "metadata": { "labels": { "additionalProperty": "example" } }, "resources": { "cpu_cores": 2, "memory_mb": 2048 }, "runtime_server": { "env": { "additionalProperty": "example" } }, "sandbox": { "exposed_ports": [ 1 ], "timeout_seconds": 1, "workspace_mount": true }, "secrets": { "secret_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }, "version": "v2" } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Runtime UUID
Runtime UUID
Organization slug
Organization slug
Workspace slug
Workspace slug
Request Body required
Section titled “Request Body required ”Replace the durable runtime configuration.
object
object
object
object
object
object
object
object
object
object
Responses
Section titled “ Responses ”Successful Response
Durable runtime configuration state.
object
object
object
object
object
object
object
object
object
object
Example
{ "config": { "build": { "profile": "default", "provider": "auto", "source": { "kind": "builtin", "ref": "runtime" } }, "capabilities": [ { "enabled": true } ], "resources": { "cpu_cores": 2, "memory_mb": 2048 }, "sandbox": { "workspace_mount": true }, "version": "v2" }}Invalid request
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Authentication failed
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Access forbidden
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Not found
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Already exists
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Validation error
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Upgrade required
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Rate limited
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Internal server error
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Bad gateway
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}Gateway timeout
Canonical API error envelope returned by the API.
object
HTTP status code
Human-readable error message
object
Where the validation error occurred
Human-readable validation message
Machine-readable validation error type
Stable machine-readable error type
Example
{ "code": 401, "detail": "Authentication failed", "type": "authentication_error"}